<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE suite SYSTEM "http://testng.org/testng-1.0.dtd">

<suite name="list-tests">
  
  <test name="added-list">
    <parameter name="name" value="added-list"/>
    <parameter name="dir" value="test/lists/added-list"/>
    <parameter name="trackedFile" value="added-list-tracked.odt"/>
    <parameter name="versions" value="added-list-v1.odt,added-list-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="added-list-item">
    <parameter name="name" value="added-list-item"/>
    <parameter name="dir" value="test/lists/added-list-item"/>
    <parameter name="trackedFile" value="added-list-item-tracked.odt"/>
    <parameter name="versions" value="added-list-item-v1.odt,added-list-item-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="deleted-list">
    <parameter name="name" value="deleted-list"/>
    <parameter name="dir" value="test/lists/deleted-list"/>
    <parameter name="trackedFile" value="deleted-list-tracked.odt"/>
    <parameter name="versions" value="deleted-list-v1.odt,deleted-list-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="deleted-list-item">
    <parameter name="name" value="deleted-list-item"/>
    <parameter name="dir" value="test/lists/deleted-list-item"/>
    <parameter name="trackedFile" value="deleted-list-item-tracked.odt"/>
    <parameter name="versions" value="deleted-list-item-v1.odt,deleted-list-item-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="list-item-level-change">
    <parameter name="name" value="list-item-level-change"/>
    <parameter name="dir" value="test/lists/list-item-level-change"/>
    <parameter name="trackedFile" value="list-item-level-change-tracked.odt"/>
    <parameter name="versions" value="list-item-level-change-v1.odt,list-item-level-change-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="list-item-merge">
    <parameter name="name" value="list-item-merge"/>
    <parameter name="dir" value="test/lists/list-item-merge"/>
    <parameter name="trackedFile" value="list-item-merge-tracked.odt"/>
    <parameter name="versions" value="list-item-merge-v1.odt,list-item-merge-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="list-item-split">
    <parameter name="name" value="list-item-split"/>
    <parameter name="dir" value="test/lists/list-item-split"/>
    <parameter name="trackedFile" value="list-item-split-tracked.odt"/>
    <parameter name="versions" value="list-item-split-v1.odt,list-item-split-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
</suite>